Name:           compat-nettle27
Version:        2.7.1
Release:        1%{?dist}
Summary:        Compat package with nettle libraries

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://www.lysator.liu.se/~nisse/nettle/
Source0:	nettle-%{version}-hobbled.tar.gz
#Source0:        http://www.lysator.liu.se/~nisse/archive/nettle-%{version}.tar.gz
Patch0:		nettle-2.7.1-remove-ecc-testsuite.patch
Patch1:		nettle-2.7.1-tmpalloc.patch

BuildRequires:  gmp-devel m4 texinfo-tex texlive-dvips ghostscript

# Explicitly conflict with older nettle packages that ship libraries
# with the same soname as this compat package
Conflicts: nettle < 3.0

%description
Compatibility package with nettle 2.7 libraries.

%prep
%setup -q -n nettle-%{version}
# Disable -ggdb3 which makes debugedit unhappy
sed s/ggdb3/g/ -i configure
sed 's/ecc-192.c//g' -i Makefile.in
sed 's/ecc-224.c//g' -i Makefile.in
%patch0 -p1
%patch1 -p1 -b .tmpalloc

%build
%configure --enable-shared
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
make install-shared DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
mkdir -p $RPM_BUILD_ROOT%{_infodir}
install -p -m 644 nettle.info $RPM_BUILD_ROOT%{_infodir}/
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
chmod 0755 $RPM_BUILD_ROOT%{_libdir}/libnettle.so.4.*
chmod 0755 $RPM_BUILD_ROOT%{_libdir}/libhogweed.so.2.*

# Remove files that aren't needed for the compat package
rm -rf $RPM_BUILD_ROOT%{_bindir}
rm -rf $RPM_BUILD_ROOT%{_includedir}
rm -rf $RPM_BUILD_ROOT%{_infodir}
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.so
rm -rf $RPM_BUILD_ROOT%{_libdir}/pkgconfig/

%check
make check

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING.LIB
%{_libdir}/libnettle.so.4
%{_libdir}/libnettle.so.4.*
%{_libdir}/libhogweed.so.2
%{_libdir}/libhogweed.so.2.*

%changelog
* Fri Sep 18 2015 Kalev Lember <klember@redhat.com> - 2.7.1-1
- nettle 2.7 compatibility package (#1264482)
